Bug 249153 - x11/rofi: Update to 1.6.0
Summary: x11/rofi: Update to 1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL: https://github.com/davatorium/rofi/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-06 19:45 UTC by Greg Fitzgerald
Modified: 2020-09-26 17:31 UTC (History)
3 users (show)

See Also:
nomoo: maintainer-feedback+


Attachments
rofi-1.6.0.diff (830 bytes, patch)
2020-09-06 19:45 UTC, Greg Fitzgerald
no flags Details | Diff
rofi-1.6.0.diff (1.20 KB, patch)
2020-09-14 18:30 UTC, Greg Fitzgerald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Fitzgerald 2020-09-06 19:45:48 UTC
Created attachment 217793 [details]
rofi-1.6.0.diff

Changelog: https://github.com/davatorium/rofi/releases/tag/1.6.0
Comment 1 nomoo 2020-09-11 20:15:18 UTC
Hello, Greg, thanks for contribution!

Just one small thing: seems, that `man/man5/rofi-script.5.gz` is missing from pkg-plist. Could you check that?
Comment 2 Greg Fitzgerald 2020-09-14 18:30:54 UTC
Created attachment 217963 [details]
rofi-1.6.0.diff

Fix pkg-plist issue.
Comment 3 nomoo 2020-09-14 20:13:26 UTC
Thanks, Greg! Got that!
Comment 4 nomoo 2020-09-15 06:43:26 UTC
This can be merged, thanks.
Comment 5 commit-hook freebsd_committer 2020-09-25 02:25:19 UTC
A commit references this bug:

Author: danfe
Date: Fri Sep 25 02:24:20 UTC 2020
New revision: 549980
URL: https://svnweb.freebsd.org/changeset/ports/549980

Log:
  - Update to version 1.6.0
  - Hook the tests to our framework

  PR:	249153

Changes:
  head/x11/rofi/Makefile
  head/x11/rofi/distinfo
  head/x11/rofi/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2020-09-25 05:37:30 UTC
(In reply to nomoo from comment #4)
Hi!

I'm not sure this qualifies to be merged. For example, in the change log, we can read this:

... This causes a breaking change for themes, to modify the highlighting, this should be set to element-text.
Or inherited. element-text { highlight: inherit; }....

Also we are pretty close to create 2020Q4.

Just my two cents.
Comment 7 Alexey Dokuchaev freebsd_committer 2020-09-26 17:31:25 UTC
Port had been updated with ports r549980, thanks!